var suitehelp = {};
suitehelp.contexts={"tss_user-authentication":"GUID-72958E88-D8FC-4658-BD1F-E14D141DA49D.html","tss_export-rules":"GUID-9B0C241A-8A1E-40DC-883E-2605A69BFECD.html","TSS_4":"GUID-7F73EA8E-7294-4F9E-BEA2-3E502EAC211B.html","tss_server-bootstrap-integrated-windows-auth":"GUID-EDF10ECE-B410-4744-89E1-F646EA6A270D.html","TSS_2":"GUID-173A78E9-CA98-4912-B7CD-52C012DD699B.html","TSS_5":"GUID-719E1FDA-517F-478B-A1B3-78346430DC95.html","tss_upgrading":"GUID-82350370-50F2-4F07-A14F-9ABAD34FAB3D.html","TSS_11":"GUID-49B65457-4C42-47C0-8F8E-A77786CDF5CB.html","TSS_8":"GUID-ABEB5E74-3E18-488B-A01F-0D733CAA3C23.html","tss_import-library-content":"GUID-1A7D1145-AB93-40FF-9E28-070EB76212C5.html","TSS_3":"GUID-AEEB131A-54D8-492F-86C7-D485D74CB759.html","TSS_6":"GUID-77D00E34-7A16-4984-B4E0-A7F404A24B70.html","TSS_10":"GUID-5623449F-A306-496A-8897-B5665A55DA54.html","TSS_9":"GUID-D40544D2-2CF9-4468-95CF-4C167B5726D0.html","TSS_7":"GUID-64C519C3-4EF6-4285-A2CF-F4E319682C41.html","tss_export-library-content":"GUID-6AA1D56C-A8CA-4B52-B39A-3503DDE5F520.html","tss_copy-rules-to-site":"GUID-B392D8FA-A953-4B7E-8BA1-835F1E3152FE.html","tss_import-rules":"GUID-47581463-74EE-4112-ACDF-29701C6C734C.html","TSS_12":"GUID-70B5EDD0-A4E1-47F7-9CB4-57B66C4DE138.html","TSS_1":"GUID-3FEDB183-C8E6-4B4F-916E-B86ABF755A48.html"};
// Check for a context-sensitive link and redirect if present (and valid)
suitehelp.checkContext = function () {
    "use strict";

    var context = suitehelp.contexts[suitehelp.getQueryString("context")],
        adjustedQS =  window.location.search.substring(1).replace(/context=[^&]+&|(&|^)context=[^&]+/, "");
    if (context) {
        if (adjustedQS) {
       
            document.location =  document.getElementsByTagName("head")[0].getAttribute("data-approot") + context + "?" + adjustedQS;
        } else {
            document.location =  document.getElementsByTagName("head")[0].getAttribute("data-approot") + context;
        }
    }

};

// Lookup a query string variable
suitehelp.getQueryString = function (key) {
    "use strict";

    if (!suitehelp.queryString) {
        suitehelp.queryString = {};
        var query = window.location.search.substring(1),
            vars = query.split("&"),
            i,
            pair;
        for (i = 0; i < vars.length; i += 1) {
            pair = vars[i].split("=");
            suitehelp.queryString[pair[0]] = unescape(pair[1]);
        }
    }

    return suitehelp.queryString[key];
};

suitehelp.checkContext();